%btn-shared {
    display: inline-block;
    border-width: 1px;
    border-style: solid;
    border-radius: 40px;
    padding: 16px 50px;
    font-size: 18px;
    font-weight: 500;
    font-size: 18px;
    font-weight: 500;
    line-height: 24px;
    cursor: pointer;
}

.btn {
    &-teal {
        @extend %btn-shared;
        border-color: $teal-color;
        color: $white-color;
        background: transparent;

        &:hover {
            background: $light-gray-color;
            box-shadow: 0px 16px 16px 4px rgba(0, 0, 0, 0.12);
        }
    }
}

.tag {
    color: $teal-color;
    background-color: $dark-gray-color;
    border-radius: 0px 8px;
    padding: 4px 8px;
    height: 28px;
    display: inline-block;
    margin-bottom: 20px;
}

.slide {
    position: relative;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
}

.section {
    background-color: $black-color;
    color: $white-color;
    padding-left: 100px;

    .section-title {
        display: flex;
        align-items: center;
    }

    h3 {
        padding: 30px 30px 30px 0;
    }
}

.movies {
    overflow-x: scroll;
    touch-action: pan-x;
	white-space: nowrap;

    .movie {
        position: relative;
        display: inline-block;
        background-size: cover;
        background-repeat: no-repeat;
        // -moz-box-shadow: inset 10px 10px 50px rgb(0, 0, 0);
        // -webkit-box-shadow: inset 10px 10px 50px rgb(0, 0, 0);
        box-shadow: inset 10px 20px 1000px 10px rgb(2, 2, 2);
        
        .movie-content {
            position: absolute;
            left: 0;
            right: 0;
            bottom: 0;
            margin-left: 20px;
            margin-bottom: 15px;
            color: $white-color;
        
            .rating {
                margin-bottom: 20px;
            }

            .title {
                max-width: 240px;
            }
        
            h2 {
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
        }
        
        &:hover .movie-content {
            margin-bottom: 60px;

            h2 {
                white-space: pre-wrap;
                overflow:unset;
                text-overflow:unset;
            }
        }

        .appear {
            display: flex;
            align-items: center;
            font-size: 18px;
            position: absolute;
            left: 0;
            right: 0;
            bottom: 0;
            color: $white-color;
            opacity: 0;
            visibility: hidden;
            -webkit-transition: visibility 0s, all 0.3s linear;
            transition: 0s, all 0.3s linear;
            transform: scale(0.8);
        }
    
        &:hover {
            cursor: pointer;
        }
    
        &:hover .appear {
            visibility: visible;
            opacity: 0.7;
            margin-left: 20px;
            margin-bottom: 15px;
            transform: scale(1);
    
            p {
                margin-right: 10px;
            }
        }
    
    }
}

